## ioapps 1.4r2

=== Makefile ===
.PHONY : all clean

DISTFILES=ioreplay
DOCDIR=man
MANDIR=/usr/share/man/man1/
IOPROFILER=ioprofiler
INSTALL=install
TARGET_PATH=/usr/bin
SOURCES=ioreplay.c print.c in_common.c in_strace.c in_binary.c replicate.c simulate.c stats.c fdmap.c namemap.c simfs.c adt/list.c adt/hash_table.c adt/fs_trie.c
CFLAGS=-c -g -Wall -D_GNU_SOURCE -D_FILE_OFFSET_BITS=64 -I. -O3
OBJFILES=$(subst .c,.o,$(SOURCES))
DEPFILES=$(subst .c,.d,$(SOURCES))

export MANDIR
export INSTALL

all: replay profiler

profiler: 
	$(MAKE) -C $(IOPROFILER)

replay: $(DISTFILES)
	$(MAKE) -C $(DOCDIR)

clean:
	$(MAKE) -C $(DOCDIR) clean
	$(MAKE) -C $(IOPROFILER) clean
	rm -f $(DISTFILES) $(OBJFILES) $(DEPFILES)

install: install_replay install_profiler

install_replay: replay
	$(INSTALL) $(DISTFILES) $(TARGET_PATH)
	$(MAKE) -C $(DOCDIR) install

install_profiler: profiler
	$(INSTALL) ioprofiler-trace $(TARGET_PATH)
	$(MAKE) -C $(IOPROFILER) install

install_ioproftrace:

$(DISTFILES): $(subst .c,.o,$(SOURCES))
	$(CC) $^ -o $@

%.o: %.c
	$(CC) $(CFLAGS) $< -o $@

include $(subst .c,.d,$(SOURCES))

%.d: %.c
	$(CC) -MM -MT "$*.o" $(CPPFLAGS) $< > $*.d

=== ioprofiler/Makefile ===
PYTHON=python
INSTALL?=install
DOCDIR?=man
MANDIR?=/usr/share/man/man1/
MANPAGE=ioprofiler.1
TARGET_PATH=/usr/bin/

all:
	python setup.py build

install:
	python setup.py install
	$(INSTALL) $(DOCDIR)/$(MANPAGE) $(MANDIR)


clean:
	python setup.py clean

=== man/Makefile ===
MANPAGE=ioreplay.1
MANDIR?=/usr/share/man/man1/
INSTALL=install

all: $(MANPAGE)

$(MANPAGE):
	help2man --name "IO traces replayer" -s1 -m"User Commands" --output=$(MANPAGE) ../ioreplay -N -i static.txt

clean:
	rm -f $(MANPAGE)

install:
	$(INSTALL) $(MANPAGE) $(MANDIR)

=== debian/changelog ===
ioapps (1.4r2-3) unstable; urgency=low

  * [e601c06] Limit architecture to linux-any.
    Thanks to Adam D. Barratt (Closes: #722922)
  * [e5cd088] Fix Vcs links

 -- Ritesh Raj Sarraf <rrs@debian.org>  Thu, 21 Nov 2013 11:36:33 +0530

ioapps (1.4r2-2) unstable; urgency=low

  * Upload to unstable

 -- Ritesh Raj Sarraf <rrs@debian.org>  Sun, 16 Jun 2013 14:04:15 +0530

ioapps (1.4r2-1) experimental; urgency=low

  * Initial release (Closes: #705263)

 -- Ritesh Raj Sarraf <rrs@debian.org>  Sat, 20 Apr 2013 14:19:52 +0530

=== debian/control ===
Source: ioapps
Section: devel
Priority: optional
Maintainer: Ritesh Raj Sarraf <rrs@debian.org>
Build-Depends: debhelper (>= 9.20120312), help2man, python-all, python-dev
Standards-Version: 3.9.3
Homepage: https://code.google.com/p/ioapps/
Vcs-Git: git://anonscm.debian.org/collab-maint/ioapps.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/ioapps.git;a=summary
X-Python-Version: >= 2.7

Package: ioapps
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, strace, python-qt4, python-matplotlib
Description: IO profiler and IO traces replayer
 IOApps is an application level profiling and tracing utility suite
 .
 ioreplay is mainly intended for replaying of recorded (using strace)
 IO traces, which is useful for standalone benchmarking. It provides
 many features to ensure validity of such measurements
 .
 ioprofiler is a GUI application for profiling application's IO access
 pattern. It shows all the read/written files by the traced application,
 how many reads were performed, how much data were read and how much time
 was spent reading for each file. Most importantly, it produces nice
 diagrams showing read/write access pattern (i.e. whether the application
 was reading sequentially or randomly) in how big chunks etc

=== debian/rules ===
#!/usr/bin/make -f
#

# Enable Hardening
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# This has to be exported to make some magic below work.
export DH_OPTIONS

install_dir = debian/tmp


%:
	dh $@ --with python2

override_dh_auto_build:

	make replay;

	set -ex; for python in $(shell pyversions -r); do \
		cd ioprofiler; \
		$$python setup.py build; \
		cd .. ; \
	done;

override_dh_auto_install:

	mkdir -p $(install_dir)/usr/bin
	mkdir -p $(install_dir)/usr/share/man/man1

	install ioreplay $(install_dir)/usr/bin/
	install man/ioreplay.1 $(install_dir)/usr/share/man/man1/
	install ioprofiler-trace $(install_dir)/usr/bin/

	set -ex; for python in $(shell pyversions -r); do \
		cd ioprofiler && $$python setup.py install --prefix=/usr --no-compile --root=$(CURDIR)/$(install_dir) --install-layout=deb; \
	done;

=== debian/watch ===
version=3

opts=\
downloadurlmangle=s|.*[?]name=(.*?)&.*|http://ioapps.googlecode.com/files/$1|,\
filenamemangle=s|[^/]+[?]name=(.*?)&.*|$1| \
http://code.google.com/p/ioapps/downloads/detail[?]name=ioapps-([0-9.]+)\.tar\.gz.*
